v1.0.0
OpenAPI 3.1.0
Get an account audit log entry
Client Libraries
US region
Returns one account audit log entry. For an update, the entry includes the fields that changed. This endpoint requires an audit log key.
The id of the audit log entry.
The key isn't an audit log key, or the team member who created it is no longer an account admin.
There's no account audit log entry with this ID.
curl https://api.customer.io/v1/account/audit_logs/1 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": {
"account_id": 1,
"action": "string",
"changed_from": null,
"changed_to": null,
"data": null,
"id": 1,
"ip_addr": "string",
"meta": null,
"object_id": "string",
"object_type": "string",
"related_logs": [
{
"account_id": 1,
"action": "string",
"changed_from": null,
"changed_to": null,
"data": null,
"id": 1,
"ip_addr": "string",
"meta": null,
"object_id": "string",
"object_type": "string",
"related_logs": [
{
"account_id": 1,
"action": "string",
"changed_from": null,
"changed_to": null,
"data": null,
"id": 1,
"ip_addr": "string",
"meta": null,
"object_id": "string",
"object_type": "string",
"related_logs": [],
"service_account_id": 1,
"timestamp": 1,
"user_id": 1,
"version": 1
}
],
"service_account_id": 1,
"timestamp": 1,
"user_id": 1,
"version": 1
}
],
"service_account_id": 1,
"timestamp": 1,
"user_id": 1,
"version": 1
},
"service_account": {
"account_type": "string",
"deleted": true,
"name": "string",
"service_account_id": 1
},
"user": {
"deleted": true,
"email": "string",
"user_id": 1
}
}The audit log entry.